{% extends 'base.html.twig' %}

{% block title %}Virus{% endblock %}

{% block body %}

    <h2 class="mb-3">Virus {{ virus.name }}</h2>

    <table class="table table-striped table-bordered">
        <thead>
        <tr>
            <th scope="col">Date de création</th>
            <th scope="col">Pays</th>
            <th scope="col">Contaminés</th>
            <th scope="col">Guéris</th>
            <th scope="col">Zombies</th>
        </tr>
        </thead>
        <tbody>
        {% for statistique in virus.statistiques %}
            {% if statistique.recovered < statistique.zombie %}
                <tr style="background-color: #ffbbbb">
            {% else %}
                <tr style="background-color: #d4ffc9">
            {% endif %}
            <td>{{ statistique.createdAt ? statistique.createdAt|date('Y-m-d H:i:s') : '' }}</td>
            <td>{{ statistique.pays.name }}</td>
            <td>{{ statistique.contaminated }}</td>
            <td>{{ statistique.recovered }}</td>
            <td>{{ statistique.zombie }}</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}
